package Common;

import PrologDB.Tuple;

public class Strng<Database> extends GTup<Database,Strng> implements Id<Database> {
    String value;
    
    public Strng(String value) { 
        this.value = value;
    }

    @Override
    public String getId() {
        return value;
    }
    
    public String value() {
        return value;
    }

    public static Strng make(Tuple t) {
        return new Strng(t.getId());
    }
    
    @Override
    public void finishTuple(Database db) {
        // do nothing
    }

    @Override
    public String toString() {
        return "strng('"+value+"').";
    }

}
