package M4;

import CD.CDConform;
import CD.CDSpec;
import MDLUtilities.Marquee1In_1Out;
import PrologDB.DB;
import java.io.FileNotFoundException;


// translates a cdspec file into a png file
public class CD2Png  {
    public static String plantUmlEnd = ".class.plantuml";

    public static void main(String... args) {
        try {
        // Step 1: standard marquee processing
        Marquee1In_1Out mark = new Marquee1In_1Out(CD2Png.class,
                ".cd.pl", ".class.png", args);
        String inputFileName = mark.getInputFileName();
        String outputFileName = mark.getOutputFileName();
        String AppName = mark.getAppName();
        String tmpfile = AppName+ plantUmlEnd;
        
        // Step 2: straightline code
        DB db = DB.read(inputFileName);
        //CDConform.check(db);
        
        CD.CD2PlantUML.cd2plantuml(db, tmpfile);
        M4.PlantUML2Png.main(tmpfile, outputFileName);
        System.out.format("file %s was produced\n",outputFileName);
        }
        catch( FileNotFoundException e ){
            System.err.println(e.getMessage());
        }
    }
}

