package M4;

import CD.CDConform;
import CD.CDSpec;
import MDLUtilities.Marquee1In_1Out;
import MDLUtilities.Marquee1In_1Out;
import PrologDB.DB;
import java.io.FileNotFoundException;


// translates a violet class diagram into a schema
public class CDSpec2Yuml  {

    public static void main(String... args) throws FileNotFoundException {
        // Step 1: standard marquee processing
        Marquee1In_1Out mark = new Marquee1In_1Out(CDSpec2Yuml.class,
                CDSpec.cdspecEnd, ".yuml.yuml", args);
        String inputFileName = mark.getInputFileName();
        String outputFileName = mark.getOutputFileName();
        String AppName = mark.getLongAppName();
        
        // Step 2: straightline code
        CDSpec cd = CDSpec.read(inputFileName);
        DB db = cd.toCD();
        db.print("tmp");
        CDConform.check(db);
        db.print(AppName+".cd.pl");
        db = CD.CD2Yuml.cd2ypl(db);
        Yuml.ClassUnParser.ypl2Yuml(db, outputFileName);
        
    }
}

