package M4;

import M4Utilities.SwingApp;
import MDLUtilities.Marquee1In_0Out;
import java.awt.*;
import javax.swing.*;

public class DisplayClassPng extends SwingApp {

    JLabel output;
    String PngFileName;

    @Override
    public void initAtoms() {

        super.initAtoms();


        PngFileName = getTitle();
        output = new JLabel(new ImageIcon(PngFileName));


    }

    // Layout Components
    JScrollPane outputScroll;

    // initialize Layout Components
    @Override
    public void initLayout() {

        // perform superclass initializations first
        super.initLayout();

        // scroll the JEditor object. Set the preferred size (because
        // not doing so will yield a microscopically small pane)
        // and always show a vertical scrollbar
        outputScroll = new JScrollPane(output);
        outputScroll.setPreferredSize(new Dimension(250, 150));
        outputScroll.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);

    }

    @Override
    public void initContentPane() {

        // ContentPane uses a BoxLayout of a single column
        // where visibleInputRow and outputRow are stored.  this code 
        // overrides any previous contentPane setting
        ContentPane = new JPanel();
        ContentPane.setLayout(new BoxLayout(ContentPane, BoxLayout.Y_AXIS));
        ContentPane.setBorder(BorderFactory.createEmptyBorder(30,//top
                30,//left
                10,//bottom
                30 // right
        ));
        ContentPane.add(outputScroll);

    }

    @Override
    public void initListeners() {
    }

    public DisplayClassPng() {
        super();
    }

    public DisplayClassPng(String AppTitle) {
        super(AppTitle);
    }

    public static void main(String... args) {
        Marquee1In_0Out mark = new Marquee1In_0Out(DisplayClassPng.class, ".class.png", args);
        String inputFileName = mark.getInputFileName();
        String AppName = mark.getAppName();
        
        DisplayClassPng p = new DisplayClassPng(inputFileName);
        p.setVisible(true);
    }

}
