package M4Parsing.CDPrims.Patterns;

import M4Parsing.CDPrims.PrimTokens.VAssoc;
import Parsing.DBPrimitives.FixedStrTokens.Dot;
import Parsing.DBPrimitives.Lists.NameList;
import Parsing.GeneralPrimitives.Token;
import Parsing.GeneralPrimitives.Patterns.Pattern;
import Parsing.GeneralPrimitives.PrimTokens.End;
import Parsing.LineParsers.LineToParse;


public class VirtualAssStmt extends Pattern {

    /** Standard constructor */
    public VirtualAssStmt() {
        super();
    }

    /** Standard constructor with line to parse
     * @param l -- LineToParse
     */
    public VirtualAssStmt(LineToParse l) {
        super(l);
    }
    
    @Override
    public Token[] getSequence() {
        if (sequence == null) {
            Token[] s = 
            { new VAssoc(), new NameList(), new Dot(), new End() };
            sequence = s;
        }
        return sequence;
    }

    @Override
    public VirtualAssStmt klone(LineToParse l) {
        return new VirtualAssStmt(l);
    }
}
