package M4Parsing.CDPrims.PrimTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Assoc is "assoc" token
 */
public class Assoc extends FixedStringToken {

    public static final String tok = "assoc";

    /**
     * Standard constructor
     */
    public Assoc() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public Assoc(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public Assoc klone(LineToParse l) {
        return new Assoc(l);
    }
}
