package M4Parsing.CDPrims.PrimTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * cons "constraint in quotes"
 */
public class Cons extends FixedStringToken {

    public static final String tok = "cons";

    /**
     * Standard constructor
     */
    public Cons() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public Cons(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public Cons klone(LineToParse l) {
        return new Cons(l);
    }
}
