package M4Parsing.CDPrims.PrimTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;


public class VAssoc extends FixedStringToken {

    public static final String tok = "VAssoc";

    /**
     * Standard constructor
     */
    public VAssoc() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public VAssoc(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public VAssoc klone(LineToParse l) {
        return new VAssoc(l);
    }
}
