package M4Parsing.CDPrims.PrimTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;


public class VClass extends FixedStringToken {

    public static final String tok = "VClass";

    /**
     * Standard constructor
     */
    public VClass() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public VClass(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public VClass klone(LineToParse l) {
        return new VClass(l);
    }
}
