package M4Parsing.CDPrims.PrimTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;


public class VExtra extends FixedStringToken {

    public static final String tok = "VExtra";

    /**
     * Standard constructor
     */
    public VExtra() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public VExtra(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public VExtra klone(LineToParse l) {
        return new VExtra(l);
    }
}
