package M4Parsing.PlantUMLPrims.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Assoc is "assoc" token
 */
public class LeftBrace extends FixedStringToken {

    public static final String tok = "{";

    /**
     * Standard constructor
     */
    public LeftBrace() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public LeftBrace(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public LeftBrace klone(LineToParse l) {
        return new LeftBrace(l);
    }
}
