
package M4Parsing.PlantUMLPrims.Patterns;

// extended column declaration

import Parsing.GeneralPrimitives.Patterns.Pattern;
import Parsing.GeneralPrimitives.PrimTokens.Name;
import Parsing.GeneralPrimitives.Token;
import Parsing.LineParsers.LineToParse;
import M4Parsing.PlantUMLPrims.FixedStrTokens.Klass;


// kind = ':' modifier kindname ;

public class KlassName extends Pattern {
    /** Standard constructor */
    public KlassName () {
        super();
    }

    /** Standard constructor with line to parse
     * @param l -- LineToParse
     */
    public KlassName(LineToParse l) {
        super(l);
    }
    
    @Override
    public Token[] getSequence() {
        if (sequence == null) {
            Token[] s = 
            {new Klass(),                                   // "class"
             new Name()                                     // name
            };
            sequence = s;
        }
        return sequence;
    }

    @Override
    public Token klone(LineToParse l) {
        return new KlassName(l);
    }
    
}
