package Meta4Framework.A;

import java.util.function.Function;

public class IntSum<T> implements Reducer<T> {

    Integer agg;
    Function<T, Integer> val;

    public IntSum(Function<T, Integer> val) {
        this.val = val;
        reset();
    }

    @Override
    public void add(T t) {
        agg += val.apply(t);
    }

    @Override
    public Object getAccumulated(int i) {
        return agg;
    }

    @Override
    public void reset() {
        agg = 0;
    }

    @Override
    public int resultCount() {
        return 1;
    }
}
