package CD;

import org.junit.Test;

public class CDSpec22SchemaTest {

    static String trash = "trash/";
    static String correct = "test/CD/Correct/";
    static String cdspecEnd = ".cdspec.pl";
    static String schemaEnd = ".schema.pl";

    public CDSpec22SchemaTest() {
    }

    void doit(String cds) {
        M4.CDSpec2Schema.main(correct + cds + cdspecEnd, trash + cds + schemaEnd);
        RegTest.Utility.validate(trash + cds + schemaEnd, correct + cds + schemaEnd, false);
    }

    @Test
    public void DPE() {
        doit("DPE");
    }

    @Test
    public void Assoc1() {
        doit("Assoc1");
    }

    @Test
    public void abcd2() {
        doit("abcd2");
    }

    @Test
    public void alleg() {
        doit("alleg");
    }

    @Test
    public void dogOwner() {
        doit("dogOwner");
    }

    @Test
    public void nodeEdge2() {
        doit("nodeEdge2");
    }

    @Test
    public void nodeEdge3() {
        doit("nodeEdge3");
    }

    @Test
    public void starTrek() {
        doit("starTrek");
    }

    @Test
    public void violet1() {
        doit("violet1");
    }

    @Test
    public void wAbs() {
        doit("wAbs");
    }

}
