
package M4;

import org.junit.Test;


public class CDSpec2SchemaTest {
    static String trash = "trash/";
    static String outfile = trash+"cdx.schema.pl";
    static String TestData = "test/M4/TestData/";
    static String Correct = "test/M4/Correct/";
    static String cdSpecEnd = ".cdspec.pl";
    static String schemaEnd = ".schema.pl";
    
    public CDSpec2SchemaTest() {
    }
    
    
    public void doit(String filename) {
        M4.CDSpec2Schema.main(TestData+filename+cdSpecEnd,outfile);
        RegTest.Utility.validate(outfile, Correct+filename+schemaEnd, false);
    }
    
    @Test
    public void m1v1()  {
        doit("M1V1");
    }
    
    @Test
    public void m12() {
        doit("M12");
    }
    
    @Test
    public void m12V() {
        doit("M12V");
    }
    
    @Test
    public void m12Va() {
        doit("M12Va");
    }
    
    @Test
    public void m12Vb() {
        doit("M12Vb");
    }
    
    @Test
    public void m71() {
        doit("m71");
    }
    
    @Test
    public void m71_() {
        doit("m71_");
    }
}
