package Aocl.Star;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class W extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "W"; }

    public <TABLE> TABLE applyW(Function<W,TABLE> f) { return f.apply(this); }

    public String w1;  

    public W(String id, String w1) {
       this.id = id;
       this.w1 = w1;
    }

    // constructors used in database loading
    protected W() {}

    private W initFields(Tuple t) {
       id = t.get("id");
       w1 = t.get("w1");
       return this;
    }

    public static W make(Tuple t) {
       return new W().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "W(%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,w1);
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,w1);
    }

    public CTable wc() {
       CTable result = new CTable(db);
       for(wc r : db.wc.tuples()) {
          if(r.cw==this && !result.contains(r.wc)) {
             result.add(r.wc);
          }
       }
       return result; // nmleft
    }

    public WTable toWTable() { return new WTable(db,this); }
}
