package Aocl.Star;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class xc extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "xc"; }

    public <TABLE> TABLE applyxc(Function<xc,TABLE> f) { return f.apply(this); }

    public X cx;
    protected String _cx;  // needed by database loader
    public C xc;
    protected String _xc;  // needed by database loader

    public xc(String id, X cx, C xc) {
       this.id = id;
       this.cx = cx;
       this.xc = xc;
    }

    // constructors used in database loading
    protected xc() {}

    public xc(String id) {
       this.id = id;
       this.cx = null;
       this.xc = null;
    }

    private xc initFields(Tuple t) {
       id = t.get("id");
       _cx = t.get("cx");
       _xc = t.get("xc");
       return this;
    }

    public static xc make(Tuple t) {
       return new xc().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
       if(!_cx.equals("null"))
           cx = db.X.getTuple(_cx,er);
       if(!_xc.equals("null"))
           xc = db.C.getTuple(_xc,er);
    }
    // end of methods used for loading a database

    static final String fmt = "xc(%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,__(cx),__(xc));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,__(cx),__(xc));
    }

}
