package Aocl.Star;

import PrologDB.Tuple;
import java.io.PrintStream;
import java.util.LinkedList;
import Meta4Framework.TaBle;
import java.util.function.Function;
import static Aocl.Star.Lang.*;

public class ycTable extends TaBle<Database,yc,ycTable> {
    @Override
    public String TupleTypeName() { return "yc"; }

    public <TABLE> TABLE applyyc(Function<ycTable,TABLE> f) { return f.apply(this); }

    // constructors for creating empty or singleton tables
    public ycTable(Database db) {
        this(db,null);
    }

    public ycTable(Database db, yc t) {
        this.db = db;
        initTupleList(t);
    }

    // methods for loading a database
    static ycTable BaseRelation(Database db) {
        ycTable tab = new ycTable(db);
        tab.computedTable = false;
        return tab;
    }

    @Override
    public LinkedList<yc> tuples() {
        return tuples;
    }

    @Override
    public ycTable New() { return new ycTable(db); }

    @Override
    public void makeAndAdd(Tuple t) {
       yc r = new yc(t.get("id"));
       r._cy = t.get("cy");
       r._yc = t.get("yc");
       add(r);
    }

    @Override
    public boolean deleteFromSubTables(yc t) {
       return false;
    }

    @Override
    public void cascadingDeleteLocal(yc t) {
    }

    @Override
    public void mastHead(PrintStream out) {
        out.println("table(yc,[id,cy:Y,yc:C]).");
    }

    @Override
    public String pformat() { return yc.fmt; }

    @Override
    public String ppformat(boolean local) {
       int  f0=0, f1=0, f2=0;
       for (yc a : local?tuples:tuples()) {
          f0 = Math.max(f0,a.id.length());
          f1 = Math.max(f1,a.cy==null?4:a.cy.id.length());
          f2 = Math.max(f2,a.yc==null?4:a.yc.id.length());
       }
       return String.format("yc(!%ds,!%ds,!%ds).\n",f0,f1,f2).replace("!","%");
    }

    /* the following methods do a column projection and a unique 'projection' */

    public STRINGTable id() {
       STRINGTable st = new STRINGTable(db);
       tuples.forEach(t -> st.add(new STRING(t.id)));
       return st;
    }

   /* the following methods cast a subtable into a supertable */

   /* the following methods filter a supertable into a subtable */

   /* end of filtering methods */

}
