package Aocl.startrek;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class asg extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "asg"; }

    public <TABLE> TABLE applyasg(Function<asg,TABLE> f) { return f.apply(this); }

    public crewman hasCrew;
    protected String _hasCrew;  // needed by database loader
    public post onBoard;
    protected String _onBoard;  // needed by database loader

    public asg(String id, crewman hasCrew, post onBoard) {
       this.id = id;
       this.hasCrew = hasCrew;
       this.onBoard = onBoard;
    }

    // constructors used in database loading
    protected asg() {}

    public asg(String id) {
       this.id = id;
       this.hasCrew = null;
       this.onBoard = null;
    }

    private asg initFields(Tuple t) {
       id = t.get("id");
       _hasCrew = t.get("hasCrew");
       _onBoard = t.get("onBoard");
       return this;
    }

    public static asg make(Tuple t) {
       return new asg().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
       if(!_hasCrew.equals("null"))
           hasCrew = db.crewman.getTuple(_hasCrew,er);
       if(!_onBoard.equals("null"))
           onBoard = db.post.getTuple(_onBoard,er);
    }
    // end of methods used for loading a database

    static final String fmt = "asg(%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,__(hasCrew),__(onBoard));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,__(hasCrew),__(onBoard));
    }

    public asgTable toasgTable() { return new asgTable(db,this); }
}
