package Aocl.startrek;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class post extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "post"; }

    public <TABLE> TABLE applypost(Function<post,TABLE> f) { return f.apply(this); }

    public String name;  
    public String kind;  

    public post(String id, String name, String kind) {
       this.id = id;
       this.name = name;
       this.kind = kind;
    }

    // constructors used in database loading
    protected post() {}

    private post initFields(Tuple t) {
       id = t.get("id");
       name = t.get("name");
       kind = t.get("kind");
       return this;
    }

    public static post make(Tuple t) {
       return new post().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "post(%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(name),q(kind));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(name),q(kind));
    }

    public crewmanTable hasCrew() {
       crewmanTable result = new crewmanTable(db);
       for(asg r : db.asg.tuples()) {
          if(r.onBoard==this && !result.contains(r.hasCrew)) {
             result.add(r.hasCrew);
          }
       }
       return result; // nmleft
    }

    public postTable topostTable() { return new postTable(db,this); }
}
