package Aocl.startrek;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

///Start
public class crewman extends TuPle<Database> {

    public String fname;
    public String lname;
    public String species;
    public starship onBoard;

    public crewman(String id, String fname, String lname, String species) {
       this.id = id;
       this.fname = fname;
       this.lname = lname;
       this.species = species;
    }
///Start

    private crewman initFields(Tuple t) {
       id = t.get("id");
       fname = t.get("fname");
       lname = t.get("lname");
       species = t.get("species");
       _onBoard = t.get("onBoard");
       return this;
    }

    public static crewman make(Tuple t) {
       return new crewman().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
       if(!_onBoard.equals("null"))
           onBoard = db.starship.getTuple(_onBoard,er);
    }
    // end of methods used for loading a database

///Finish
    static final String fmt = "crewman(%s,%s,%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(fname),q(lname),species,__(onBoard));
    }
///Finish
    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(fname),q(lname),species,__(onBoard));
    }

    public starshipTable onBoard() {
       return new starshipTable(db,this.onBoard);
    }  // diamondleft

    public starship link2onBoard() {
       return this.onBoard;
    }  // diamondleft

}
