dbase(startrek,[crewman,officer,medical,post,asg]).

//https://en.wikipedia.org/wiki/List_of_Star_Trek_characters

table(asg,[id,hasCrew:crewman,onBoard:post]).
asg(a10,rb,ee).
asg(a11,rb,ed).
asg(a12,d,ed).
asg(a13,d,ee).
asg(a14,jd,ds9).
asg(a15,hk,v).
asg(a16,gl,ed).
asg(a17,gl,ee).
asg(a18,cm,ea).
asg(a19,cl,v).
asg(a20,n,ds9).
asg(a21,mo,ds9).
asg(a22,p,nx01).
asg(a23,cp,ea).
asg(a24,jr,ea).
asg(a25,jr,ex).
asg(a26,sn,v).
asg(a27,hs,ea).
asg(a28,hs,ex).
asg(a29,dt,ee).
asg(a30,dt,ed).
asg(a31,dt,ti).
asg(a32,w,ee).
asg(a33,w,ds9).
asg(a34,w,ed).
asg(a35,ms,ea).
asg(a36,ja,nx01).
asg(a37,kj,v).
asg(a38,s,ea).
asg(a39,ty,ed).
asg(a40,nu,ea).
asg(a41,t,nx01).
asg(a42,bs,ds9).
asg(a43,sa,gr).
asg(a44,sa,ea).
asg(a45,jk,ea).
asg(a46,wr,ti).
asg(a47,wr,ed).
asg(a48,wr,ee).
asg(a49,cc,ea).
asg(a50,bc,ed).
asg(a51,bc,ee).
asg(a52,lm,ea).
asg(a53,jb,ds9).


table(crewman,[id,'fname','lname',species]).
crewman(rb,'reginald','barclay',human).
crewman(d,'data','',android).
crewman(jd,'jadzia','dax',trill).
crewman(hk,'harry','kim',human).
crewman(gl,'geordi','la forge',human).
crewman(cm,'carol','marcus',human).
crewman(cl,'neelix','',talaxian).
crewman(n,'nog','',ferengi).
crewman(mo,'miles','o brian',human).
crewman(p,'phlox','',denobulan).
crewman(cp,'christopher','pike',human).
crewman(jr,'janice','rand',human).
crewman(sn,'seven','of nine',human).
crewman(hs,'hikaru','sulu',human).
crewman(dt,'deanna','troi',betazoid).
crewman(w,'worf','',klingon).
crewman(ms,'montgomery','scott',human).


table(officer,[id,'fname','lname',species,rank]).
officer(ja,'jonathan','archer',human,commander).
officer(kj,'kathryn','janeway',human,commander).
officer(s,'spock','',vulcan,science).
officer(ty,'tasha','yar',human,security).
officer(nu,'nyota','uhura',human,communications).
officer(t,'tpol','',vulcan,first).
officer(bs,'benjamin','sisko',human,commander).
officer(sa,'saavik','',vulcan,science).
officer(jk,'james','kirk',human,commander).
officer(wr,'william','riker',human,commander).


table(medical,[id,'fname','lname',species,specialty]).
medical(cc,'christine','chapel',human,nurse).
medical(bc,'beverly','crusher',human,chief).
medical(lm,'leonard','mccoy',human,chief).
medical(jb,'julian','bashir',human,chief).


table(post,[id,'name','kind']).
post(nx01,'Enterprise nx-01','star ship').
post(ed,'Enterprise-D','star ship').
post(ee,'Enterprise E','star ship').
post(ds9,'Deep Space 9','station').
post(ea,'Enterprise-A','star ship').
post(v,'USS Voyager','star ship').
post(ex,'USS Excelsior','star ship').
post(ti,'USS Titan','star ship').
post(gr,'USS Grissom','star ship').


subtable(crewman,[officer,medical]).

