package CD;

import CD.AssocSchema.atype;

public class AssocSchemaSpec {
    public final String name, class1, class2, role1, role2;
    public final atype at1, at2;
    
    public AssocSchemaSpec(String name, String class1, String role1, atype at1, String class2, String role2, atype at2)  {
        this.name = name;
        this.class1 = class1;
        this.class2 = class2;
        this.role1 = role1;
        this.role2 = role2;
        this.at1 = at1;
        this.at2 = at2;
    }
    
    public AssocSchemaSpec(String name, String class1, String role1, String class2, String role2) {
        this.name = name;
        this.class1 = class1;
        this.class2 = class2;
        this.role1 = role1;
        this.role2 = role2;
        this.at1 = null;
        this.at2 = null;
    }
    
    public String serialize() {
//        if (at1==null)
            return String.format("%s,%s,%s,%s,%s",name,class1,role1,class2,role2);
//        return String.format("%s,%s,%s,%s,%s,%s,%s",name,class1,role1,at1,class2,role2,at2);
    }
    
    public static AssocSchemaSpec deserialize(String x) {
        String[] s = x.split(",");
        return new AssocSchemaSpec(s[0],s[1],s[2],s[3],s[4]);

    }

}