package Common;

import java.io.PrintStream;

public abstract class GTup<Database,T> {
    protected Database db;
    
    public void setDB(Database db) {
        this.db = db;
    }
    
    public abstract String getId();
    
    public abstract void finishTuple(Database db);
    
    @Override
    public abstract String toString();
    
    public void print(PrintStream ps) {
        ps.println(this);
    }

    public void print() {
        System.out.println(this);
    }
}
