package M4Parsing.CDPrims.Patterns;

import M4Parsing.CDPrims.PrimTokens.Cons;
import M4Parsing.CDPrims.PrimTokens.EoLString;
import Parsing.DBPrimitives.FixedStrTokens.Dot;
import Parsing.GeneralPrimitives.Token;
import Parsing.GeneralPrimitives.Patterns.Pattern;
import Parsing.GeneralPrimitives.PrimTokens.Name;
import Parsing.LineParsers.LineToParse;

/**
 * classDiagram statement: classDiagram(name,[name1,name2...]).
 */
public class FieldName extends Pattern {

    /** Standard constructor */
    public FieldName() {
        super();
    }

    /** Standard constructor with line to parse
     * @param l -- LineToParse
     */
    public FieldName(LineToParse l) {
        super(l);
    }
    
    @Override
    public Token[] getSequence() {
        if (sequence == null) {
            Token[] s = 
            {new Name(), new Dot(), new Name()};
            sequence = s;
        }
        return sequence;
    }

    @Override
    public FieldName klone(LineToParse l) {
        return new FieldName(l);
    }
}
