package Aocl.Person;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;

public class female extends person {
    @Override
    public String TupleTypeName() { return "female"; }

    public <TABLE> TABLE applyfemale(Function<female,TABLE> f) { return f.apply(this); }

    public female(String id, String fullName) {
       this.id = id;
       this.fullName = fullName;
    }

    // constructors used in database loading
    protected female() {}

    private female initFields(Tuple t) {
       id = t.get("id");
       fullName = t.get("fullName");
       return this;
    }

    public static female make(Tuple t) {
       return new female().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "female(%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(fullName));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(fullName));
    }

    public femaleTable tofemaleTable() { return new femaleTable(db,this); }
}
