package Aocl.Person;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class person extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "person"; }

    public <TABLE> TABLE applyperson(Function<person,TABLE> f) { return f.apply(this); }

    public String fullName;  

    public person(String id, String fullName) {
       this.id = id;
       this.fullName = fullName;
    }

    // constructors used in database loading
    protected person() {}

    private person initFields(Tuple t) {
       id = t.get("id");
       fullName = t.get("fullName");
       return this;
    }

    public static person make(Tuple t) {
       return new person().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "person(%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(fullName));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(fullName));
    }

    public personTable topersonTable() { return new personTable(db,this); }
}
