package Aocl.Star;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class zc extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "zc"; }

    public <TABLE> TABLE applyzc(Function<zc,TABLE> f) { return f.apply(this); }

    public Z cz;
    protected String _cz;  // needed by database loader
    public C zc;
    protected String _zc;  // needed by database loader

    public zc(String id, Z cz, C zc) {
       this.id = id;
       this.cz = cz;
       this.zc = zc;
    }

    // constructors used in database loading
    protected zc() {}

    public zc(String id) {
       this.id = id;
       this.cz = null;
       this.zc = null;
    }

    private zc initFields(Tuple t) {
       id = t.get("id");
       _cz = t.get("cz");
       _zc = t.get("zc");
       return this;
    }

    public static zc make(Tuple t) {
       return new zc().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
       if(!_cz.equals("null"))
           cz = db.Z.getTuple(_cz,er);
       if(!_zc.equals("null"))
           zc = db.C.getTuple(_zc,er);
    }
    // end of methods used for loading a database

    static final String fmt = "zc(%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,__(cz),__(zc));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,__(cz),__(zc));
    }

    public zcTable tozcTable() { return new zcTable(db,this); }
}
