package Aocl.startrek;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;

public class medical extends crewman {
    @Override
    public String TupleTypeName() { return "medical"; }

    public <TABLE> TABLE applymedical(Function<medical,TABLE> f) { return f.apply(this); }

    public String specialty;  

    public medical(String id, String fname, String lname, String species, String specialty) {
       this.id = id;
       this.fname = fname;
       this.lname = lname;
       this.species = species;
       this.specialty = specialty;
    }

    // constructors used in database loading
    protected medical() {}

    private medical initFields(Tuple t) {
       id = t.get("id");
       fname = t.get("fname");
       lname = t.get("lname");
       species = t.get("species");
       specialty = t.get("specialty");
       return this;
    }

    public static medical make(Tuple t) {
       return new medical().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "medical(%s,%s,%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(fname),q(lname),species,specialty);
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(fname),q(lname),species,specialty);
    }

    public postTable onBoard() {
       postTable result = new postTable(db);
       for(asg r : db.asg.tuples()) {
          if(r.hasCrew==this && !result.contains(r.onBoard)) {
             result.add(r.onBoard);
          }
       }
       return result; // nmleft
    }

    public medicalTable tomedicalTable() { return new medicalTable(db,this); }
}
