package Parsing.CDSpec;

import CD.CDSpec;
import PrologDB.DB;
import org.junit.Test;

public class VCDParseTest extends Common.SharedDecls {
    public static String Correct = "test/Parsing/CDSpec/Correct/";        //"../ATLExample/src/Aocl/Family/";
    public static String TestData = "test/Parsing/CDSpec/TestData/";
    public static String Trash = "trash/";
           
    
    public VCDParseTest() { }
    
    @Test
    public void vx1() {
        String i = "vx1"+cdspecEnd;
        String o = "vx1"+cdEnd;
        CDSpec cs = CDSpec.read(TestData+i);
        DB cd = cs.toCD();
        cd.print(Trash+o);
        System.out.println();
        RegTest.Utility.validate(Trash+o, Correct+o, false);
    }
    
    @Test
    public void vx2() {
        String i = "vx2"+cdspecEnd;
        String o = "vx2"+cdEnd;
        CDSpec cs = CDSpec.read(TestData+i);
        DB cd = cs.toCD();
        cd.print(Trash+o);
        System.out.println();
        RegTest.Utility.validate(Trash+o, Correct+o, false);
    }


}
